curl --request POST \
--url https://api.example.com/v2/transponders/create-order/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicle": {
"plate_number": "<string>",
"plate_state": "<string>",
"vehicle_number": "<string>",
"active": true,
"vehicle_make": "<string>",
"vehicle_model": "<string>",
"year": "<string>",
"lessee_renter": "<string>",
"vehicle_type_code": "<string>"
},
"fleet": {
"title": "<string>",
"is_active": true
},
"agencies": [
{
"title": "<string>",
"detail": "<string>"
}
],
"vehicle_type": {
"vehicle_type_code": "<string>",
"vehicle_type_text": "<string>"
},
"number": "<string>",
"status": "IN_STOCK"
}
'{
"id": 123,
"vehicle": {
"id": 123,
"custom_fields": "<string>",
"added_date": "2023-11-07T05:31:56Z",
"fleet": {
"id": 123,
"region_details": [
{
"id": 123,
"title": "<string>"
}
],
"title": "<string>",
"is_active": true,
"billing_type": "PREPAID",
"onboarding_stage": "INITIAL",
"warning_threshold_per_vehicle": "<string>",
"deactivation_threshold_per_vehicle": "<string>",
"client": "<string>",
"onboarding_vehicle_order": 123
},
"plate_number": "<string>",
"plate_state": "<string>",
"vehicle_number": "<string>",
"active": true,
"vehicle_make": "<string>",
"vehicle_model": "<string>",
"year": "<string>",
"lessee_renter": "<string>",
"vehicle_type_code": "<string>"
},
"fleet": {
"id": 123,
"title": "<string>",
"is_active": true
},
"agencies": [
{
"id": 123,
"title": "<string>",
"detail": "<string>"
}
],
"vehicle_type": {
"id": 123,
"vehicle_type_code": "<string>",
"vehicle_type_text": "<string>"
},
"number": "<string>",
"status": "IN_STOCK"
}Create a transponder order.
curl --request POST \
--url https://api.example.com/v2/transponders/create-order/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicle": {
"plate_number": "<string>",
"plate_state": "<string>",
"vehicle_number": "<string>",
"active": true,
"vehicle_make": "<string>",
"vehicle_model": "<string>",
"year": "<string>",
"lessee_renter": "<string>",
"vehicle_type_code": "<string>"
},
"fleet": {
"title": "<string>",
"is_active": true
},
"agencies": [
{
"title": "<string>",
"detail": "<string>"
}
],
"vehicle_type": {
"vehicle_type_code": "<string>",
"vehicle_type_text": "<string>"
},
"number": "<string>",
"status": "IN_STOCK"
}
'{
"id": 123,
"vehicle": {
"id": 123,
"custom_fields": "<string>",
"added_date": "2023-11-07T05:31:56Z",
"fleet": {
"id": 123,
"region_details": [
{
"id": 123,
"title": "<string>"
}
],
"title": "<string>",
"is_active": true,
"billing_type": "PREPAID",
"onboarding_stage": "INITIAL",
"warning_threshold_per_vehicle": "<string>",
"deactivation_threshold_per_vehicle": "<string>",
"client": "<string>",
"onboarding_vehicle_order": 123
},
"plate_number": "<string>",
"plate_state": "<string>",
"vehicle_number": "<string>",
"active": true,
"vehicle_make": "<string>",
"vehicle_model": "<string>",
"year": "<string>",
"lessee_renter": "<string>",
"vehicle_type_code": "<string>"
},
"fleet": {
"id": 123,
"title": "<string>",
"is_active": true
},
"agencies": [
{
"id": 123,
"title": "<string>",
"detail": "<string>"
}
],
"vehicle_type": {
"id": 123,
"vehicle_type_code": "<string>",
"vehicle_type_text": "<string>"
},
"number": "<string>",
"status": "IN_STOCK"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Transponder model serializer intended to used for reading and listing
Show child attributes
Fleet model serializer without nested relations
Show child attributes
Show child attributes
Show child attributes
64IN_STOCK - In stockIN_SHIPMENT - Shipment in progressPENDING_VEHICLE - Pending vehicleACTIVE - ActiveREQUESTED_REMOVAL - Requested removalRETURN_IN_PROGRESS - Return in progressRETURNED - Returned to FleetITRETURNED_TO_TOLL_AUTH - Returned to toll authorityLOST_OR_STOLEN - Lost/StolenLOST_DEACTIVATED - Lost-deactivatedIN_STOCK, IN_SHIPMENT, PENDING_VEHICLE, ACTIVE, REQUESTED_REMOVAL, RETURN_IN_PROGRESS, RETURNED, RETURNED_TO_TOLL_AUTH, LOST_OR_STOLEN, LOST_DEACTIVATED Transponder model serializer intended to used for reading and listing
Show child attributes
Fleet model serializer without nested relations
Show child attributes
Show child attributes
Show child attributes
64IN_STOCK - In stockIN_SHIPMENT - Shipment in progressPENDING_VEHICLE - Pending vehicleACTIVE - ActiveREQUESTED_REMOVAL - Requested removalRETURN_IN_PROGRESS - Return in progressRETURNED - Returned to FleetITRETURNED_TO_TOLL_AUTH - Returned to toll authorityLOST_OR_STOLEN - Lost/StolenLOST_DEACTIVATED - Lost-deactivatedIN_STOCK, IN_SHIPMENT, PENDING_VEHICLE, ACTIVE, REQUESTED_REMOVAL, RETURN_IN_PROGRESS, RETURNED, RETURNED_TO_TOLL_AUTH, LOST_OR_STOLEN, LOST_DEACTIVATED Was this page helpful?